読者です 読者をやめる 読者になる 読者になる

tkymtk's blog

Ruby on Rails及びその周辺について調べたこと。Do whatever you want to do at your own pace.

RSpecのバージョンをあげたら、エラーがたくさん出たので対処

エラーが出た

 warning: loading in progress, circular require considered harmful - /Users/me/.rbenv/versions/2.1.1/lib/ruby/gems/2.1.0/gems/sass-3.2.19/lib/sass.rb

こんなエラーとか、他のエラーもたくさん出た

対処

新しいRSpecrails generate rspec:installはデフォルトで.rspec--warningsオプションを加えるので、それを消す。

リンク

間違いがあれば、ご指摘下さると幸いです。